
<?php
// Check if a theme is posted, set a cookie
if (isset($_POST['theme'])) {
    $theme = $_POST['theme'];
    // Set a cookie to remember the theme for 30 days
    setcookie('theme', $theme, time() + (30 * 24 * 60 * 60), "/");
} elseif (isset($_COOKIE['theme'])) {
    $theme = $_COOKIE['theme'];
} else {
    $theme = 'light'; // Default theme is light
}
?>


<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Wiki Fantasy</title>
    <link id="favicon" rel="icon" href="../images/iconeSombre.ico"> <!-- Par défaut sombre -->
    <link rel="stylesheet" href="../styles/style.css">
</head>
<body class="<?php echo $theme; ?>">
    <div class="container">
        <div class="header">
            <div class="nav">
                <img src="../images/coeur.svg" alt="coeur" width="67px" height="67px" onmousedown="return false">
                <img src="../images/quizz.svg" alt="quizz" width="51px" height="82px" onmousedown="return false">
            </div>
            <div class="logo">
                <img src="../images/WIKIFANTASY.png" alt="Logo" width="227px" height="82px">
            </div>
        </div>

        <!-- Form to switch themes -->
        <form method="POST" action="">
            <button type="submit" name="theme" value="light">Thème Clair</button>
            <button type="submit" name="theme" value="dark">Thème Sombre</button>
        </form>

        <p>Bienvenue sur Wiki Fantasy !</p>
    </div>
</body>
</html>
